Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# load_arg Struct Reference

## Data Fields
VALUE | src
long | offset
st_table * | symbols
st_table * | data
VALUE | proc
st_table * | compat_tbl
int | infection

## Detailed Description

Definition at line 955 of file marshal.c.

## Field Documentation

st_table* load_arg::compat_tbl

Definition at line 961 of file marshal.c.

Referenced by clear_load_arg(), mark_load_arg(), marshal_load(), obj_alloc_by_path(), r_entry0(), and r_leave().

st_table* load_arg::data

Definition at line 959 of file marshal.c.

Referenced by clear_load_arg(), mark_load_arg(), marshal_load(), r_entry0(), r_object0(), and r_prepare().

int load_arg::infection

Definition at line 962 of file marshal.c.

Referenced by marshal_load(), r_bytes0(), and r_entry0().

long load_arg::offset

Definition at line 957 of file marshal.c.

Referenced by marshal_load(), r_byte(), and r_bytes0().

VALUE load_arg::proc

Definition at line 960 of file marshal.c.

Referenced by marshal_load(), r_leave(), and r_object0().

VALUE load_arg::src

Definition at line 956 of file marshal.c.

Referenced by marshal_load(), r_byte(), and r_bytes0().

st_table* load_arg::symbols

Definition at line 958 of file marshal.c.

Referenced by check_load_arg(), clear_load_arg(), mark_load_arg(), marshal_load(), r_symlink(), and r_symreal().

The documentation for this struct was generated from the following file:

- marshal.c